## NemoPropertyPageProvider

NemoPropertyPageProvider — Allows additional file property pages to be added.

## Functions

GList * | nemo_property_page_provider_get_pages ()

## Types and Values

| NemoPropertyPageProvider
struct | NemoPropertyPageProviderInterface

## Object Hierarchy

        GInterface
        ╰── NemoPropertyPageProvider

## Prerequisites

NemoPropertyPageProvider requires GObject.

## Description

This interface allows you to provide additional property pages for the right-click Properties menu item. A new widget is requested each time the property page is opened.

## Functions

### nemo_property_page_provider_get_pages ()

    GList *
    nemo_property_page_provider_get_pages (NemoPropertyPageProvider *provider,
                                           GList *files);

This function is called by Nemo when it wants property page items from the extension.

This function is called in the main thread before a property page is shown, so it should return quickly.

#### Parameters

provider | a NemoPropertyPageProvider |
files | a GList of NemoFileInfo. | [element-type NemoFileInfo]

#### Returns

A GList of allocated NemoPropertyPage items.

[element-type NemoPropertyPage][transfer full]

## Types and Values

### NemoPropertyPageProvider

    typedef struct _NemoPropertyPageProvider NemoPropertyPageProvider;

### struct NemoPropertyPageProviderInterface

    struct NemoPropertyPageProviderInterface {
    	GTypeInterface g_iface;

    	GList *(*get_pages) (NemoPropertyPageProvider     *provider,
    			     GList                    *files);
    };